module Config.Helpers.Headers.Records exposing (..)

import Config.Helpers.Headers.Types exposing (..)


argumentHeader : Header
argumentHeader =
    let
        name =
            "Arguments"
    in
    { headerTitle = String.toUpper name
    , headerBody = "This page features arguments that I hold to be sound. I'm open to hearing all challenges, as I am ready to engage with and defend any argument listed."
    }


blogHeader : Header
blogHeader =
    let
        name =
            "Blog"
    in
    { headerTitle = String.toUpper name
    , headerBody = "This page features blog articles written by me, along with contributions from guest authors, covering topics primarily related to nutrition science, health science, and article."
    }


cuckListHeader : Header
cuckListHeader =
    let
        name =
            "Cucklist"
    in
    { headerTitle = String.toUpper name
    , headerBody = "This page features a list of morons who wrote cheques with their mouths that their asses couldn't cash. Each person included in this list has dodged debating me."
    }


debateHeader : Header
debateHeader =
    let
        name =
            "Debate"
    in
    { headerTitle = String.toUpper name
    , headerBody = "Here you will find links to various pages relevant to debate, such as formal arguments, a list of debate-dodging cucks, and an inventory of nonsensical terminology."
    }


donateHeader : Header
donateHeader =
    let
        name =
            "Donate"
    in
    { headerTitle = String.toUpper name
    , headerBody = "My site, research, and content all cost time and money to run. If you find my contributions valuable, please consider supporting my work on any of the platforms listed below!"
    }


gibberishHeader : Header
gibberishHeader =
    let
        name =
            "Gibberish"
    in
    { headerTitle = String.toUpper name
    , headerBody = "This page is specifically for terms and ostensible concepts that I think are either nonsensical or so practically useless that its intelligiblity is irrelevant."
    }


servicesHeader : Header
servicesHeader =
    let
        name =
            "Services"
    in
    { headerTitle = String.toUpper name
    , headerBody = "Bundle any of the services below to receive a $10 discount per hour. For example, two Debate Analysis sessions would cost $140 total, instead of $80/hr. All prices are in CAD."
    }


interviewHeader : Header
interviewHeader =
    let
        name =
            "Interviews"
    in
    { headerTitle = String.toUpper name
    , headerBody = "This page showcases various podcasts and shows I've been on. If you’d like to have me as a guest on your podcast, feel free to reach out—I’d love to share my perspectives with your audience!"
    }
