module Config.Pages.Debate.Arguments.Records.Dummy exposing (..)

import Config.Data.Hashtags.Types exposing (Hashtags(..))
import Config.Pages.Debate.Arguments.Types exposing (..)
import Config.Helpers.Converters exposing (toTitleCase)


argumentDummy : Argument
argumentDummy =
    { argumentTitle = toTitleCase ""
    , propositionTitle = ""
    , propositionReductio = ""
    , propositionSummary = ""
    , proofLink = ""
    , argumentCertainty = 6
    , argumentImage = ""
    , argumentHashtags = []
   
    
    , isNewTabLink = False
    , definitionTable =
        [ { definiendum = ""
          , definiens = ""
          }
        , { definiendum = ""
          , definiens = ""
          }
        , { definiendum = ""
          , definiens = ""
          }
        , { definiendum = ""
          , definiens = ""
          }
        , { definiendum = ""
          , definiens = ""
          }
        , { definiendum = ""
          , definiens = ""
          }
        , { definiendum = ""
          , definiens = ""
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "If evidence that is stronger than the best animal food epidemiology is required to demonstrate causality and confounding is a causal concept, then evidence that is stronger than the best animal food epidemiology is required to validate potential confounders."
                  , notation = "(P∧Q→R)"
                  }
                , { premise = "Evidence that is stronger than the best animal food epidemiology is required to demonstrate causality."
                  , notation = "P"
                  }
                , { premise = "Confounding is a causal concept."
                  , notation = "Q"
                  }
                ]
          , conclusion = "Therefore, evidence that is stronger than the best animal food epidemiology is required to validate potential confounders."
          , conclusionNotation = "R"
          }
        ]
    }
