module Config.Pages.Debate.Arguments.Records.FineTuning exposing (..)

import Config.Pages.Debate.Arguments.Types exposing (..)
import Config.Helpers.Converters exposing (toTitleCase)


argumentFineTuning : Argument
argumentFineTuning =
    { argumentTitle = toTitleCase "Fine Tuning Debunk"
    , propositionTitle = "Fine tuning is an infinitely regressive explanation for God"
    , propositionReductio = ""
    , propositionSummary = "It's not clear why God's constitution wouldn't count as finely tuned, and to the extent that it does count as finely-tuned, it's by extension unclear why fine-tuning wouldn't be an infinitely regressive argument for God's existence."
    , proofLink = "https://www.umsu.de/trees/#(~6x(Px~5Qx)),(Pg),(Qg~5R)%7C=(R)"
    , argumentCertainty = 10
    , argumentImage = "finetuning"
    , argumentHashtags = []
   
    
    , isNewTabLink = False
    , definitionTable =
        [ { definiendum = "P(x)"
          , definiens = "(x) is finely tuned"
          }
        , { definiendum = "Q(x)"
          , definiens = "(x) has a designer"
          }
        , { definiendum = "R"
          , definiens = "fine tuning is an infinitely regressive explanation for God"
          }
        , { definiendum = "x"
          , definiens = "a thing"
          }
        , { definiendum = "g"
          , definiens = "God's constitution"
          }
        ]
    , argumentFormalization =
        [ { premises =
                [ { premise = "If something is finely tuned, then something has a designer."
                  , notation = "∀x(Px→Qx)"
                  }
                , { premise = "God's constitution is finely tuned."
                  , notation = "Pg"
                  }
                , { premise = "If God's constitution has a designer, then fine tuning is an infinitely regressive explanation for God."
                  , notation = "Qg→R"
                  }
                ]
          , conclusion = "Therefore, fine tuning is an infinitely regressive explanation for God."
          , conclusionNotation = "R"
          }
        ]
    }
